package com.annimon.ownlang.exceptions;

public final class OperationIsNotSupportedException extends RuntimeException {

    public OperationIsNotSupportedException(int operation) {
        super("Operation " + operation + " is not supported");
    }
    
    public OperationIsNotSupportedException(Object operation) {
        super("Operation " + operation + " is not supported");
    }
    
    public OperationIsNotSupportedException(int operation, String message) {
        super("Operation " + operation + " is not supported " + message);
    }
    
    public OperationIsNotSupportedException(Object operation, String message) {
        super("Operation " + operation + " is not supported " + message);
    }
}
