package com.annimon.ownlang.lib;

import com.annimon.ownlang.exceptions.UnknownFunctionException;
import java.util.Hashtable;

/**
 *
 * @author aNNiMON
 */
public final class Functions {

    private static final Hashtable/*<String, Function>*/ functions;
    static {
        functions = new Hashtable/*<>*/();
    }
    
    public static Hashtable/*<String, Function>*/ getFunctions() {
        return functions;
    }
    
    public static void clear() {
        functions.clear();
    }
    
    public static boolean isExists(String key) {
        return functions.containsKey(key);
    }
    
    public static Function get(String key) {
        if (!isExists(key)) throw new UnknownFunctionException(key);
        return (Function) functions.get(key);
    }
    
    public static void set(String key, Function function) {
        functions.put(key, function);
    }
}
